<div class="wrapper">
    <div class="row mt-3" *ngIf="!addCase">
        <div class="col-xl-6"></div>
        <div class="col-xl-6">
            <div class="d-flex align-items-center">
                <div class="ml-auto">
                    <mat-button-toggle-group appearance="legacy" name="status" aria-label="status" class="b"
                        value="active" (change)="patientActiveChanged($event)">
                        <mat-button-toggle value="active">Active</mat-button-toggle>
                        <mat-button-toggle value="inactive">Discharged</mat-button-toggle>
                    </mat-button-toggle-group>
                </div>
                <div class="b">
                    <button mat-stroked-button color="accent" [routerLink]="['/patients/merge']" class="wide merge">
                        Merge Case
                    </button>
                </div>
                <div class="b">
                    <button mat-raised-button color="accent" (click)="onClicKAddCase()" class="wide addbutton">
                        Add Case
                    </button>
                </div>
            </div>
            <!-- <div class="align-items-center text-right ">
                <button mat-raised-button color="accent" (click)="onClicKAddCase()" class="wide addbutton">
                    Add Case
                </button>
            </div> -->
        </div>
    </div>


    <div *ngIf="!nodata" class="row application-data-centered">
        <div class="col-xl-12">
            <div class="grid-child">
                <p><img src="../../../../../assets/Add%20Referral.png" /></p>
                <p>
                    <strong> You haven’t added a case yet.</strong>
                </p>
                <p>
                    Please click on the “Add Case” button to add new case for this patient
                </p>
                <p>
                    <strong>
                        <a href="javascript:void(0)" (click)="onClicKAddCase()"> Add Case</a>
                    </strong>
                </p>
            </div>
        </div>
    </div>


    <div *ngIf="addCase" class="addbox">
        <mat-tab-group color="warn" class="padding">
            <mat-tab label="Add Case">
                <form [formGroup]="caseForm" class="treat-form">
                    <div class="row addform mt-5 px-3">
                        <div class="col-xl-5">

                            <div class="normal_13px_15px_font text-right normalhelfont grey caser">
                                Required
                            </div>

                            <div style="margin-top: 1px;">
                                <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                    <mat-label>Case Name</mat-label>
                                    <mat-select formControlName="casesName" required>
                                        <mat-option [value]="generalCase.caseName"
                                            *ngFor="let generalCase of lstgeneralCase">
                                            {{generalCase.caseName}}
                                        </mat-option>
                                    </mat-select>
                                    <!-- <div class="col-xl-6 kendo-dropdown-label">Case Name</div>

                                <div class="col-xl-12 d-block align-items-center mb-1">
                                    <app-add-new-dropdown [categoryId]="patientCaseParentId"
                                        [selectedId]="patientCaseName" (appId)="appIdPatientStatusHandler($event)">
                                    </app-add-new-dropdown>
                                </div> -->
                                    <mat-error
                                        *ngIf="caseForm.get('casesName').hasError('required') || caseForm.get('casesName').touched"
                                        style="margin-top: -14px;">
                                        This field is required
                                    </mat-error>
                                </mat-form-field>
                            </div>
                        </div>

                        <div class="col-xl-3 top">
                            <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                <mat-label>Injury Date</mat-label>
                                <input matInput [matDatepicker]="picker" formControlName="injuryDate"
                                    (dateChange)="dateOfBirthchange($event.value)" />
                                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                <mat-datepicker #picker></mat-datepicker>

                            </mat-form-field>
                        </div>

                        <div class="col-xl-3 top">

                            <div>
                                <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                    <mat-label>Primary Practitioner</mat-label>
                                    <mat-select formControlName="practitioner">
                                        <mat-option *ngFor="let p of practitionerData" [value]="p.id">
                                            {{ p.firstName }}
                                        </mat-option>
                                    </mat-select>
                                    <!-- <mat-error
                                    *ngIf="caseForm.get('casesName').hasError('required') || caseForm.get('casesName').touched"
                                    style="margin-top: -14px;">
                                    This field is required
                                </mat-error> -->
                                </mat-form-field>
                            </div>
                        </div>

                        <div class="col-xl-5">
                            <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                <textarea matInput placeholder="Notes" formControlName="notes"></textarea>
                            </mat-form-field>
                        </div>


                    </div>

                    <div class="mx-3">
                        <mat-checkbox class="example-margin">Set as Default</mat-checkbox>
                    </div>

                    <div class="casecontacts mx-3">
                        <div class="head">
                            <div class="text-left">
                                Case Contacts
                            </div>
                            <div class="text-right ">
                                <a href="javascript:void(0)" (click)="showConfirmation(itemListRef)">Attach Referral</a>
                                | <a href="javascript:void(0)"> Attach
                                    Third Party </a>
                            </div>
                        </div>
                        <div class="contactbox">
                            <div class="col-xl-12 nodata">
                                <div class="grid-child">
                                    <p><img src="../../../../../assets/Add%20Referral.png" /></p>
                                    <p>
                                        <strong> You haven't added a Referral or Third Party contact.</strong>
                                    </p>
                                    <p>
                                        Please click on the “Attach Referral” or “Attach Third Party” link to attach
                                        contacts for this case.
                                    </p>

                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="bottom-bar-wrapper">

                        <div class="text-right control-row">
                            <div class="pt-3 pb-3">
                                <button mat-stroked-button color="accent" class="mr-3 cancelbutton"
                                    (click)="closeform()">
                                    Cancel
                                </button>
                                <button mat-stroked-button color="accent" class="mr-3 save" (click)="saveCaseForm()"
                                    [disabled]="caseForm.invalid">
                                    Save
                                </button>

                            </div>
                        </div>
                    </div>
                </form>


            </mat-tab>
        </mat-tab-group>
        <!-- <h3 class="mb-3 pl-5 mt-3 bold" id="heading">Add Case</h3> -->
    </div>

    <div class="mt-3">
        <kendo-grid [data]="gridView" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="true"
            [reorderable]="true" [filterable]="true" [filter]="state.filter" (dataStateChange)="dataStateChange($event)"
            [sortable]="true" [groupable]="true" [group]="groups" [reorderable]="reorder" [sortable]="{
            allowUnsort: allowUnsort,
            mode: multiple ? 'multiple' : 'single'
          }" [sort]="sort" (sortChange)="sortChange($event)" (groupChange)="groupChange($event)">
            <kendo-grid-column field="patientId" title="Patient ID" width="50"></kendo-grid-column>
            <!-- <kendo-grid-column width="60" field="patientId">
            <ng-template
              kendoGridHeaderTemplate
              let-column
              let-columnIndex="columnIndex"
            >
              Name
            </ng-template>
            <ng-template
              kendoGridCellTemplate
              let-dataItem
              let-rowIndex="rowIndex"
            >
              <h6>
                <strong>
                  <a [routerLink]="['/patients/edit', dataItem.id]">
                    {{ dataItem.firstName }} {{ dataItem.lastName }}
                  </a></strong
                >
              </h6>
            </ng-template>
          </kendo-grid-column> -->

        </kendo-grid>
    </div>

    <div class="example-wrapper">
        <ng-template #itemListRef>
            <form [formGroup]="caseForm" class="treat-form">
                <div class="row addform mt-5 px-3">
                    <div class="col-6">

                        <div class="normal_13px_15px_font text-right normalhelfont grey caser">
                            Required
                        </div>

                        <div>
                            <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                <mat-label>Referral Provider</mat-label>
                                <mat-select formControlName="referralprovider" required>
                                    <mat-option [value]="generalCase.caseName"
                                        *ngFor="let generalCase of lstgeneralCase">
                                        {{generalCase.caseName}}
                                    </mat-option>
                                </mat-select>
                                <!-- <div class="col-xl-6 kendo-dropdown-label">Case Name</div>

                            <div class="col-xl-12 d-block align-items-center mb-1">
                                <app-add-new-dropdown [categoryId]="patientCaseParentId"
                                    [selectedId]="patientCaseName" (appId)="appIdPatientStatusHandler($event)">
                                </app-add-new-dropdown>
                            </div> -->
                                <mat-error
                                    *ngIf="caseForm.get('casesName').hasError('required') || caseForm.get('casesName').touched"
                                    style="margin-top: -14px;">
                                    This field is required
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>

                    <div class="col-6 top">

                        <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                            <mat-label>No. of Sessions</mat-label>
                            <input min="0" matInput type="number" class="remove-spin-btn" formControlName="number" />
                        </mat-form-field>
                    </div>

                    <div class="col-6 ">
                        <div class="normal_13px_15px_font text-right normalhelfont grey caser">
                            Required
                        </div>
                        <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                            <mat-label>Start Date</mat-label>
                            <input matInput [matDatepicker]="picker" formControlName="startDate"
                                (dateChange)="dateOfBirthchange($event.value)" />
                            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                            <mat-datepicker #picker></mat-datepicker>
                            <mat-error
                                *ngIf="caseForm.get('startDate').hasError('required') || caseForm.get('startDate').touched"
                                style="margin-top: -14px;">
                                This field is required
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-6">
                        <div class="normal_13px_15px_font text-right normalhelfont grey caser">
                            Required
                        </div>
                        <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                            <mat-label>End Date</mat-label>
                            <input matInput [matDatepicker]="picker1" formControlName="endDate"
                                (dateChange)="dateOfBirthchange($event.value)" />
                            <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                            <mat-datepicker #picker></mat-datepicker>
                            <mat-error
                                *ngIf="caseForm.get('endDate').hasError('required') || caseForm.get('endDate').touched"
                                style="margin-top: -14px;">
                                This field is required
                            </mat-error>
                        </mat-form-field>
                    </div>

                    <div class="col-6">

                        <div class="normal_13px_15px_font text-right normalhelfont grey caser">
                            Required
                        </div>

                        <div>
                            <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                <mat-label>Referred To</mat-label>
                                <mat-select formControlName="referredTo" required>
                                    <mat-option [value]="generalCase.caseName"
                                        *ngFor="let generalCase of lstgeneralCase">
                                        {{generalCase.caseName}}
                                    </mat-option>
                                </mat-select>
                                <!-- <div class="col-xl-6 kendo-dropdown-label">Case Name</div>

                            <div class="col-xl-12 d-block align-items-center mb-1">
                                <app-add-new-dropdown [categoryId]="patientCaseParentId"
                                    [selectedId]="patientCaseName" (appId)="appIdPatientStatusHandler($event)">
                                </app-add-new-dropdown>
                            </div> -->
                                <mat-error
                                    *ngIf="caseForm.get('referredTo').hasError('required') || caseForm.get('referredTo').touched"
                                    style="margin-top: -14px;">
                                    This field is required
                                </mat-error>
                            </mat-form-field>
                        </div>


                    <div class="col-xl-12">
                        <!-- <a href="#">Upload Document </a> -->
                        <div class="filepreview-wrapper d-flex">
                            <!-- <button mat-button color="warn" (click)="imageInput.click()">
                              <img [src]="itm.fileImage" alt="" />
                              <input #imageInput type="file" accept="image/*"
                                (change)="processFile(imageInput)" style="display: none" />
                            </button> -->
                            <button mat-button color="warn" (click)="imageInput.click()">
                                <img src="../../../../../assets/upload.png" alt="" /><a>Upload Document </a>
                                <input type="file" #imageInput (change)="upload($event.target.files)"
                                    style="display: none" />
                                <!-- <a >Upload Document </a> -->
                            </button>
                            <div class="upload" *ngIf="uploadSuccess">
                                <span></span>Uploaded File: {{filename}}
                                <div class="normal_13px_15px_font normalhelfont grey" style="text-align: center">
                                    <img src="../../../../../assets/download.png" (click)="downloadFile()" class="mr-2" />
                                    <img src="../../../../../assets/deletei.png" (click)="deleteimage()" />
                                </div>
                                <!-- <div class="col-xl-8 mt-3 mb-3"  style="
                                border: 1px solid #dbdbdb;
                                border-radius: 4px;
                                height: 260px;
                                text-align: center;">
                              <div class="aformheading">
                                <div></div>

                              </div> -->
                                <!-- <img [src]="selectedFile.src" class="mt-2 img-fluid" style="height: 210px; width: auto" /> -->
                            </div>
                        </div>

                        <!-- Upload Percent: {{percentDone}}% <br />

                                <ng-container *ngIf="uploadSuccess">
                                Upload Successful
                                </ng-container>  -->

                    </div>

                </div>

                <div class="col-xl-12">
                    <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                        <textarea matInput placeholder="Notes" formControlName="notes"></textarea>
                    </mat-form-field>
                </div>


    </div>

    <div class="mx-3">
        <mat-checkbox class="example-margin">Set as Default</mat-checkbox>
    </div>


    </form>
    </ng-template>

    <div kendoDialogContainer></div>
</div>


</div>
